//+------------------------------------------------------------------+
//|                                                   Alert_MACD.mq4 |
//|                                                          Kalenzo |
//|                                      bartlomiej.gorski@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Kalenzo"
#property link      "bartlomiej.gorski@gmail.com"
extern int fast_ema_period = 12;
extern int slow_ema_period = 26;
extern int signal_period = 9;
extern int appiled_price = PRICE_CLOSE;
#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
    
//----
   double macd = iMACD(Symbol(),0,fast_ema_period,slow_ema_period,signal_period,appiled_price,MODE_MAIN,0);
   double macdsig = iMACD(Symbol(),0,fast_ema_period,slow_ema_period,signal_period,appiled_price,MODE_SIGNAL,0);
   double pmacd = iMACD(Symbol(),0,fast_ema_period,slow_ema_period,signal_period,appiled_price,MODE_MAIN,1);
   double pmacdsig = iMACD(Symbol(),0,fast_ema_period,slow_ema_period,signal_period,appiled_price,MODE_SIGNAL,1);
   
   if((pmacd >= pmacdsig && macd < macdsig) || (pmacd <= pmacdsig && macd > macdsig) )
   Alert(Symbol()+" MACD CROSS");
//----
   return(0);
  }
//+------------------------------------------------------------------+